List WhatsApp templates
curl --request GET \
--url https://app.kapso.ai/api/v1/whatsapp_templates \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.kapso.ai/api/v1/whatsapp_templates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.kapso.ai/api/v1/whatsapp_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "template-123abc",
"name": "appointment_reminder",
"language_code": "en_US",
"category": "UTILITY",
"status": "approved",
"content": "Hello {{1}}, your appointment is confirmed for {{2}}.",
"parameter_count": 2,
"business_account_id": "123456789012345",
"whatsapp_config_ids": [
"config-123abc",
"config-456def"
],
"components": [
{
"type": "HEADER",
"format": "TEXT",
"text": "<string>",
"example": {},
"buttons": [
{}
]
}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123
}
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}WhatsApp Templates
List WhatsApp templates
Returns a list of WhatsApp templates available for the project
GET
/
whatsapp_templates
List WhatsApp templates
Authorizations
API key required for all endpoints
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Filter templates by customer ID
Filter templates by name (contains)
Filter templates by exact language code match
Filter templates by category
Available options:
MARKETING, UTILITY, AUTHENTICATION Filter templates by status
Available options:
draft, submitted, approved, rejected, disabled Filter templates by customer ID (Ransack syntax)
Filter templates by WhatsApp Business Account ID
Filter templates by WhatsApp Business Account ID (Ransack syntax)
Filter templates by WhatsApp configuration ID
Filter templates by WhatsApp configuration ID (Ransack syntax)

